connectivityqt::Connectivity Class Reference

`#include <connectivityqt/connectivity.h>`

Inheritance diagram for connectivityqt::Connectivity:
[legend]
Collaboration diagram for connectivityqt::Connectivity:
[legend]

## Classes

class | Priv

## Public Types

enum | Limitations { Limitations::Bandwith }
| enum for networking limitations More...
enum | Status { Status::Offline, Status::Connecting, Status::Online }
| enum for networking status More...

## Public Slots

void | setFlightMode (bool enabled)
void | setwifiEnabled (bool enabled)
void | setHotspotEnabled (bool active)
void | setHotspotSsid (const QByteArray &ssid)
void | setHotspotPassword (const QString &password)
void | setHotspotMode (const QString &mode)
void | setHotspotAuth (const QString &auth)

## Signals

void | flightModeUpdated (bool)
void | onlineUpdated (bool value)
void | limitedBandwithUpdated (bool value)
void | limitationsUpdated (const QVector< Limitations > &)
void | statusUpdated (connectivityqt::Connectivity::Status value)
void | wifiEnabledUpdated (bool)
void | unstoppableOperationHappeningUpdated (bool)
void | flightModeSwitchEnabledUpdated (bool)
void | wifiSwitchEnabledUpdated (bool)
void | hotspotSwitchEnabledUpdated (bool)
void | hotspotSsidUpdated (const QByteArray &name)
void | hotspotPasswordUpdated (const QString &password)
void | modemAvailableUpdated (bool)
void | hotspotEnabledUpdated (bool)
void | hotspotModeUpdated (const QString &mode)
void | hotspotAuthUpdated (const QString &auth)
void | hotspotStoredUpdated (bool)
void | reportError (int reason)
void | initialized ()
void | vpnConnectionsUpdated (QAbstractItemModel *)

## Public Member Functions

| UNITY_DEFINES_PTRS (Connectivity)
| Connectivity (const QDBusConnection &sessionConnection=QDBusConnection::sessionBus(), QObject *parent=0)
| Connectivity (const std::function< void(QObject *)> &objectOwner, const QDBusConnection &sessionConnection=QDBusConnection::sessionBus(), QObject *parent=0)
| ~Connectivity ()
bool | flightMode () const
bool | online () const
bool | limitedBandwith () const
QVector< Limitations > | limitations () const
connectivityqt::Connectivity::Status | status () const
bool | wifiEnabled () const
bool | unstoppableOperationHappening () const
bool | flightModeSwitchEnabled () const
bool | wifiSwitchEnabled () const
bool | hotspotSwitchEnabled () const
bool | modemAvailable () const
QByteArray | hotspotSsid () const
QString | hotspotPassword () const
bool | hotspotEnabled () const
QString | hotspotMode () const
QString | hotspotAuth () const
bool | hotspotStored () const
bool | isInitialized () const
QAbstractItemModel * | vpnConnections () const

## Static Public Member Functions

static void | registerMetaTypes ()

## Protected Attributes

std::shared_ptr< Priv > | d

## Properties

bool | flightMode
bool | online
bool | limitedBandwith
QVector< Limitations > | Limitations
connectivityqt::Connectivity::Status | status
bool | wifiEnabled
bool | unstoppableOperationHappening
bool | flightModeSwitchEnabled
bool | wifiSwitchEnabled
bool | hotspotSwitchEnabled
bool | modemAvailable
QByteArray | hotspotSsid
QString | hotspotPassword
bool | hotspotEnabled
QString | hotspotMode
QString | hotspotAuth
bool | hotspotStored
bool | initialized
QAbstractItemModel | vpnConnections

## Member Enumeration Documentation

enum connectivityqt::Connectivity::Limitations

strong

enum for networking limitations

Networking limitations may be accessed through the Connectivity::limitations property.

Enumerator
Bandwith | indicates that the bandwith of the Internet connection has limitations. Applications should minimize their bandwith usage if possible.

enum connectivityqt::Connectivity::Status

strong

enum for networking status

Networking status may be accessed through the Connectivity::status property.

Enumerator
Offline | No Internet connection available.
Connecting | System is actively establising a connection.
Online | System is connected to the Internet.

## Constructor & Destructor Documentation

connectivityqt::Connectivity::Connectivity | ( | const QDBusConnection & | sessionConnection = `QDBusConnection::sessionBus()`,
|  | QObject * | parent = `0`
| ) |  |

connectivityqt::Connectivity::Connectivity | ( | const std::function< void(QObject *)> & | objectOwner,
|  | const QDBusConnection & | sessionConnection = `QDBusConnection::sessionBus()`,
|  | QObject * | parent = `0`
| ) |  |

connectivityqt::Connectivity::~Connectivity | ( |  | ) |

## Member Function Documentation

bool connectivityqt::Connectivity::flightMode | ( |  | ) | const

bool connectivityqt::Connectivity::flightModeSwitchEnabled | ( |  | ) | const

void connectivityqt::Connectivity::flightModeSwitchEnabledUpdated | ( | bool |  | ) |

signal

void connectivityqt::Connectivity::flightModeUpdated | ( | bool |  | ) |

signal

QString connectivityqt::Connectivity::hotspotAuth | ( |  | ) | const

void connectivityqt::Connectivity::hotspotAuthUpdated | ( | const QString & | auth | ) |

signal

bool connectivityqt::Connectivity::hotspotEnabled | ( |  | ) | const

void connectivityqt::Connectivity::hotspotEnabledUpdated | ( | bool |  | ) |

signal

QString connectivityqt::Connectivity::hotspotMode | ( |  | ) | const

void connectivityqt::Connectivity::hotspotModeUpdated | ( | const QString & | mode | ) |

signal

QString connectivityqt::Connectivity::hotspotPassword | ( |  | ) | const

void connectivityqt::Connectivity::hotspotPasswordUpdated | ( | const QString & | password | ) |

signal

QByteArray connectivityqt::Connectivity::hotspotSsid | ( |  | ) | const

void connectivityqt::Connectivity::hotspotSsidUpdated | ( | const QByteArray & | name | ) |

signal

bool connectivityqt::Connectivity::hotspotStored | ( |  | ) | const

void connectivityqt::Connectivity::hotspotStoredUpdated | ( | bool |  | ) |

signal

bool connectivityqt::Connectivity::hotspotSwitchEnabled | ( |  | ) | const

void connectivityqt::Connectivity::hotspotSwitchEnabledUpdated | ( | bool |  | ) |

signal

void connectivityqt::Connectivity::initialized | ( |  | ) |

signal

bool connectivityqt::Connectivity::isInitialized | ( |  | ) | const

QVector< Connectivity::Limitations > connectivityqt::Connectivity::limitations | ( |  | ) | const

void connectivityqt::Connectivity::limitationsUpdated | ( | const QVector< Limitations > & |  | ) |

signal

bool connectivityqt::Connectivity::limitedBandwith | ( |  | ) | const

void connectivityqt::Connectivity::limitedBandwithUpdated | ( | bool | value | ) |

signal

bool connectivityqt::Connectivity::modemAvailable | ( |  | ) | const

void connectivityqt::Connectivity::modemAvailableUpdated | ( | bool |  | ) |

signal

bool connectivityqt::Connectivity::online | ( |  | ) | const

void connectivityqt::Connectivity::onlineUpdated | ( | bool | value | ) |

signal

void connectivityqt::Connectivity::registerMetaTypes | ( |  | ) |

static

void connectivityqt::Connectivity::reportError | ( | int | reason | ) |

signal

void connectivityqt::Connectivity::setFlightMode | ( | bool | enabled | ) |

slot

void connectivityqt::Connectivity::setHotspotAuth | ( | const QString & | auth | ) |

slot

void connectivityqt::Connectivity::setHotspotEnabled | ( | bool | active | ) |

slot

void connectivityqt::Connectivity::setHotspotMode | ( | const QString & | mode | ) |

slot

void connectivityqt::Connectivity::setHotspotPassword | ( | const QString & | password | ) |

slot

void connectivityqt::Connectivity::setHotspotSsid | ( | const QByteArray & | ssid | ) |

slot

void connectivityqt::Connectivity::setwifiEnabled | ( | bool | enabled | ) |

slot

connectivityqt::Connectivity::Status connectivityqt::Connectivity::status | ( |  | ) | const

void connectivityqt::Connectivity::statusUpdated | ( | connectivityqt::Connectivity::Status | value | ) |

signal

connectivityqt::Connectivity::UNITY_DEFINES_PTRS | ( | Connectivity |  | ) |

bool connectivityqt::Connectivity::unstoppableOperationHappening | ( |  | ) | const

void connectivityqt::Connectivity::unstoppableOperationHappeningUpdated | ( | bool |  | ) |

signal

QAbstractItemModel* connectivityqt::Connectivity::vpnConnections | ( |  | ) | const

void connectivityqt::Connectivity::vpnConnectionsUpdated | ( | QAbstractItemModel * |  | ) |

signal

bool connectivityqt::Connectivity::wifiEnabled | ( |  | ) | const

void connectivityqt::Connectivity::wifiEnabledUpdated | ( | bool |  | ) |

signal

bool connectivityqt::Connectivity::wifiSwitchEnabled | ( |  | ) | const

void connectivityqt::Connectivity::wifiSwitchEnabledUpdated | ( | bool |  | ) |

signal

## Member Data Documentation

std::shared_ptr<Priv> connectivityqt::Connectivity::d

protected

## Property Documentation

bool connectivityqt::Connectivity::flightMode

read write

bool connectivityqt::Connectivity::flightModeSwitchEnabled

read

QString connectivityqt::Connectivity::hotspotAuth

read write

bool connectivityqt::Connectivity::hotspotEnabled

read write

QString connectivityqt::Connectivity::hotspotMode

read write

QString connectivityqt::Connectivity::hotspotPassword

read write

QByteArray connectivityqt::Connectivity::hotspotSsid

read write

bool connectivityqt::Connectivity::hotspotStored

read

bool connectivityqt::Connectivity::hotspotSwitchEnabled

read

bool connectivityqt::Connectivity::initialized

read

QVector<Limitations> connectivityqt::Connectivity::Limitations

read

bool connectivityqt::Connectivity::limitedBandwith

read

bool connectivityqt::Connectivity::modemAvailable

read

bool connectivityqt::Connectivity::online

read

Connectivity::Status connectivityqt::Connectivity::status

read

bool connectivityqt::Connectivity::unstoppableOperationHappening

read

QAbstractItemModel * connectivityqt::Connectivity::vpnConnections

read

bool connectivityqt::Connectivity::wifiEnabled

read write

bool connectivityqt::Connectivity::wifiSwitchEnabled

read

The documentation for this class was generated from the following files:

- connectivityqt/connectivity.h
- connectivityqt/connectivity.cpp